<?php
/**
 * @name		WebTotem Security
 * @package		pkg_wtotem
 * @copyright	Copyright (C) 2023. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		WebTotem team
 */
// No direct access
defined('_JEXEC') or die;
?>

<?php $ports = ( isset($more) and $more )
  ? array_slice($variables['ports']['TCPResults'] , 0, 3)
  : $variables['ports']['TCPResults'];
?>
<?php foreach ($ports as $port):?>
    <li class="port__result-list-item"
        data-port="<?= $port['port'] ?>"
        data-technology="<?= $port['technology'] ?>"
        data-version="<?= $port['version'] ?>"
        data-summary="<?= $port['cve_summary'] ?>"
    ><?= $port['port'] ?></li>
<?php endforeach; ?>


<?php if ( isset($more) and $more): ?>
    <li><span class="port__result-more-btn" id="wtotem_ps_settings"><?php echo \JText::_("WTOTEM_MORE") ?>+</span></li>
<?php endif; ?>

